'use strict';

function Dashboard(title) {
  return {
    title: title,
    rows : [],
    time: {
      from: "now-6h",
      to: "now"
    }
  };
}

function SimpleGraphPanel(title, expr) {
  return {
    title: 'Events',
    type: 'graph',
    fill: 1,
    targets: [{
      refId: 'A',
      expr: expr,
      intervalFactor: 1,
      format: 'time_series'
    }],
  };
}

function SimpleSingleStatPanel(title, expr) {
  return {
    title: title,
    type: 'singlestat',
    valueName: 'current',
    targets: [{
      expr: expr,
      format: 'time_series',
      intervalFactor: 2,
      refId: 'A'
    }],
    "sparkline": {
      fillColor: "rgba(31, 118, 189, 0.18)",
      full: true,
      lineColor: "rgb(31, 120, 193)",
      show: true
    },
    colors: [
      "#d44a3a",
      "rgba(237, 129, 40, 0.89)",
      "#299c46"
    ],
    thresholds: '0.5,0.9',
    valueFontSize: '80%',
    gauge: {
      maxValue: 1,
      minValue: 0,
      show: true,
      thresholdLabels: false,
      thresholdMarkers: true
    }
  };
}

function Row(title, panels) {
  return {
    title: title,
    height: '300px',
    panels: panels
  };
}

module.exports = {
  Dashboard: Dashboard,
  SimpleGraphPanel: SimpleGraphPanel,
  SimpleSingleStatPanel: SimpleSingleStatPanel,
  Row: Row
};
